Bug 1186863 - (CVE-2020-22054) VUL-0: CVE-2020-22054: ffmpeg: A Denial of Service vulnerability exists in FFmpeg 4.2 due to a memory leak in the av_dict_set function in dict.c.
(CVE-2020-22054)
VUL-0: CVE-2020-22054: ffmpeg: A Denial of Service vulnerability exists in FF...
Status: RESOLVED FIXED
Classification: Novell Products
Product: SUSE Security Incidents
Classification: Novell Products
Component: Incidents
unspecified
Other Other
: P3 - Medium : Major
: ---
Assigned To: Security Team bot
Security Team bot
https://smash.suse.de/issue/301182/
CVSSv3.1:SUSE:CVE-2020-22054:7.5:(AV:...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-04 12:32 UTC by Gianluca Gabrielli
Modified: 2022-06-10 13:00 UTC (History)
4 users (show)

See Also:
Found By: Security Response Team
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Gianluca Gabrielli 2021-06-04 12:32:09 UTC
A Denial of Service vulnerability exists in FFmpeg 4.2 due to a memory leak in
the av_dict_set function in dict.c.

References:
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2020-22054
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2020-22054
http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=6f2a3958cfac135c60b509a61a4fd39432d8f9a9
https://trac.ffmpeg.org/ticket/8315
Comment 1 Gianluca Gabrielli 2021-06-04 12:32:30 UTC
Affected packages:
 - SUSE:SLE-15-SP2:Update/ffmpeg   3.4.2
 - SUSE:SLE-15:Update/ffmpeg       3.4.2

Upstream patch [0].

[0] https://github.com/FFmpeg/FFmpeg/commit/6f2a3958cfac135c60b509a61a4fd39432d8f9a9.patch
Comment 8 Swamp Workflow Management 2021-09-02 13:18:50 UTC
# maintenance_jira_update_notice
openSUSE-SU-2021:2919-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1129714,1186849,1186859,1186861,1186863,1189142,1189348,1189350
CVE References: CVE-2019-9721,CVE-2020-21688,CVE-2020-21697,CVE-2020-22046,CVE-2020-22048,CVE-2020-22049,CVE-2020-22054,CVE-2021-38114
JIRA References: 
Sources used:
openSUSE Leap 15.3 (src):    ffmpeg-3.4.2-11.8.2
Comment 9 Swamp Workflow Management 2021-09-02 13:35:05 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2919-1: An update that fixes 8 vulnerabilities is now available.

Category: security (important)
Bug References: 1129714,1186849,1186859,1186861,1186863,1189142,1189348,1189350
CVE References: CVE-2019-9721,CVE-2020-21688,CVE-2020-21697,CVE-2020-22046,CVE-2020-22048,CVE-2020-22049,CVE-2020-22054,CVE-2021-38114
JIRA References: 
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP3 (src):    ffmpeg-3.4.2-11.8.2
SUSE Linux Enterprise Workstation Extension 15-SP2 (src):    ffmpeg-3.4.2-11.8.2
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP3 (src):    ffmpeg-3.4.2-11.8.2
SUSE Linux Enterprise Module for Packagehub Subpackages 15-SP2 (src):    ffmpeg-3.4.2-11.8.2
SUSE Linux Enterprise Module for Desktop Applications 15-SP3 (src):    ffmpeg-3.4.2-11.8.2
SUSE Linux Enterprise Module for Desktop Applications 15-SP2 (src):    ffmpeg-3.4.2-11.8.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 10 Swamp Workflow Management 2021-09-02 16:20:05 UTC
# maintenance_jira_update_notice
SUSE-SU-2021:2929-1: An update that fixes 31 vulnerabilities is now available.

Category: security (important)
Bug References: 1129714,1172640,1186406,1186583,1186586,1186587,1186596,1186597,1186598,1186600,1186603,1186604,1186605,1186613,1186614,1186615,1186616,1186658,1186660,1186757,1186758,1186762,1186763,1186849,1186859,1186861,1186863,1189142,1189348,1189350
CVE References: CVE-2019-17539,CVE-2019-9721,CVE-2020-13904,CVE-2020-20448,CVE-2020-20451,CVE-2020-21041,CVE-2020-21688,CVE-2020-21697,CVE-2020-22015,CVE-2020-22016,CVE-2020-22017,CVE-2020-22019,CVE-2020-22020,CVE-2020-22021,CVE-2020-22022,CVE-2020-22023,CVE-2020-22025,CVE-2020-22026,CVE-2020-22031,CVE-2020-22032,CVE-2020-22033,CVE-2020-22034,CVE-2020-22038,CVE-2020-22039,CVE-2020-22043,CVE-2020-22044,CVE-2020-22046,CVE-2020-22048,CVE-2020-22049,CVE-2020-22054,CVE-2021-38114
JIRA References: 
Sources used:
SUSE Manager Server 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Manager Retail Branch Server 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Manager Proxy 4.0 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server for SAP 15-SP1 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server for SAP 15 (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-SP1-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-SP1-BCL (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise Server 15-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-SP1-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-SP1-ESPOS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-LTSS (src):    ffmpeg-3.4.2-4.34.2
SUSE Linux Enterprise High Performance Computing 15-ESPOS (src):    ffmpeg-3.4.2-4.34.2
SUSE Enterprise Storage 6 (src):    ffmpeg-3.4.2-4.34.2
SUSE CaaS Platform 4.0 (src):    ffmpeg-3.4.2-4.34.2

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 11 Carlos López 2022-06-10 13:00:16 UTC
Done, closing.